Index: /trunk/sources/HeuristicLab.Hive.Client.Communication/3.2/WcfService.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Communication/3.2/WcfService.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Client.Communication/3.2/WcfService.cs	(revision 3011)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -151,5 +151,5 @@
     #region Login
     public event System.EventHandler<LoginCompletedEventArgs> LoginCompleted;
-    public void LoginAsync(ClientInfo clientInfo) {
+    public void LoginAsync(ClientDto clientInfo) {
       if (ConnState == NetworkEnum.WcfConnState.Connected)
         proxy.LoginAsync(clientInfo);
@@ -162,5 +162,5 @@
     }
 
-    public void LoginSync(ClientInfo clientInfo) {
+    public void LoginSync(ClientDto clientInfo) {
       try {
         if (ConnState == NetworkEnum.WcfConnState.Connected) {
@@ -372,5 +372,5 @@
     }
 
-    public List<CachedHivePluginInfo> RequestPlugins(List<HivePluginInfo> requestedPlugins) {
+    public List<CachedHivePluginInfoDto> RequestPlugins(List<HivePluginInfoDto> requestedPlugins) {
       try {
         Stream stream = proxy.SendStreamedPlugins(requestedPlugins.ToArray());
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/3.2/ConfigurationManager/ConfigManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/3.2/ConfigurationManager/ConfigManager.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/3.2/ConfigurationManager/ConfigManager.cs	(revision 3011)
@@ -47,5 +47,5 @@
 
     public Core Core { get; set; }    
-    private ClientInfo hardwareInfo;        
+    private ClientDto hardwareInfo;        
 
     /// <summary>
@@ -53,5 +53,5 @@
     /// </summary>
     private ConfigManager() {      
-      hardwareInfo = new ClientInfo();
+      hardwareInfo = new ClientDto();
 
       if (Settings.Default.Guid == Guid.Empty) {
@@ -71,5 +71,5 @@
     /// </summary>
     /// <returns>the ClientInfo object</returns>
-    public ClientInfo GetClientInfo() {
+    public ClientDto GetClientInfo() {
       hardwareInfo.Login = WcfService.Instance.ConnectedSince;
       return hardwareInfo;          
@@ -139,8 +139,8 @@
     public int GetUsedCores() {
       Dictionary<Guid, Executor> engines = Core.GetExecutionEngines();
-      Dictionary<Guid, Job> jobs = Core.GetJobs();
+      Dictionary<Guid, JobDto> jobs = Core.GetJobs();
       int usedCores = 0;
       lock (engines) {        
-        foreach (KeyValuePair<Guid, Job> kvp in jobs)
+        foreach (KeyValuePair<Guid, JobDto> kvp in jobs)
           usedCores += kvp.Value.CoresNeeded;
       }
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/3.2/Core.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/3.2/Core.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/3.2/Core.cs	(revision 3011)
@@ -55,5 +55,5 @@
     private Dictionary<Guid, Executor> engines = new Dictionary<Guid, Executor>();
     private Dictionary<Guid, AppDomain> appDomains = new Dictionary<Guid, AppDomain>();
-    private Dictionary<Guid, Job> jobs = new Dictionary<Guid, Job>();
+    private Dictionary<Guid, JobDto> jobs = new Dictionary<Guid, JobDto>();
 
     private WcfService wcfService;
@@ -303,5 +303,5 @@
         List<byte[]> files = new List<byte[]>();
         Logging.Instance.Info(this.ToString(), "Fetching plugins for job " + e.Result.Job.Id);
-        foreach (CachedHivePluginInfo plugininfo in PluginCache.Instance.GetPlugins(e.Result.Job.PluginsNeeded))
+        foreach (CachedHivePluginInfoDto plugininfo in PluginCache.Instance.GetPlugins(e.Result.Job.PluginsNeeded))
           files.AddRange(plugininfo.PluginFiles);
         Logging.Instance.Info(this.ToString(), "Plugins fetched for job " + e.Result.Job.Id);
@@ -409,5 +409,5 @@
     }
 
-    internal Dictionary<Guid, Job> GetJobs() {
+    internal Dictionary<Guid, JobDto> GetJobs() {
       return jobs;
     }
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/3.2/Heartbeat.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/3.2/Heartbeat.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/3.2/Heartbeat.cs	(revision 3011)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -74,5 +74,5 @@
     /// <param name="e"></param>
     void heartbeatTimer_Elapsed(object sender, ElapsedEventArgs e) {      
-      ClientInfo info = ConfigManager.Instance.GetClientInfo();      
+      ClientDto info = ConfigManager.Instance.GetClientInfo();      
 
       PerformanceCounter counter = new PerformanceCounter("Memory", "Available Bytes", true);
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/3.2/PluginCache.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/3.2/PluginCache.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/3.2/PluginCache.cs	(revision 3011)
@@ -1,3 +1,3 @@
-﻿using System;
+using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -20,23 +20,23 @@
     } 
     
-    private List<CachedHivePluginInfo> pluginCache;
+    private List<CachedHivePluginInfoDto> pluginCache;
     
 
     public PluginCache() {
-      pluginCache = new List<CachedHivePluginInfo>();
+      pluginCache = new List<CachedHivePluginInfoDto>();
     }
     
-    public void AddPlugin(CachedHivePluginInfo plugin) {
+    public void AddPlugin(CachedHivePluginInfoDto plugin) {
       pluginCache.Add(plugin);    
     }
 
-    public List<CachedHivePluginInfo> GetPlugins(List<HivePluginInfo> requests) {
-      List<CachedHivePluginInfo> neededPlugins = new List<CachedHivePluginInfo>();
-      List<HivePluginInfo> missingPlugins = new List<HivePluginInfo>();
+    public List<CachedHivePluginInfoDto> GetPlugins(List<HivePluginInfoDto> requests) {
+      List<CachedHivePluginInfoDto> neededPlugins = new List<CachedHivePluginInfoDto>();
+      List<HivePluginInfoDto> missingPlugins = new List<HivePluginInfoDto>();
       bool found = false;
             
-      foreach (HivePluginInfo info in requests) {
+      foreach (HivePluginInfoDto info in requests) {
         //we MAY run in problems here - if there is a plugin twice in requests, there may be added two different versions of the plugin
-        foreach (CachedHivePluginInfo cache in pluginCache) {
+        foreach (CachedHivePluginInfoDto cache in pluginCache) {
           if (info.Name.Equals(cache.Name) && info.Version.Equals(cache.Version) && info.BuildDate <= cache.BuildDate) {
             neededPlugins.Add(cache);
@@ -50,5 +50,5 @@
       }
 
-      List<CachedHivePluginInfo> receivedPlugins = WcfService.Instance.RequestPlugins(missingPlugins);
+      List<CachedHivePluginInfoDto> receivedPlugins = WcfService.Instance.RequestPlugins(missingPlugins);
       if (receivedPlugins != null) {
         neededPlugins.AddRange(receivedPlugins);
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/CachedHivePluginInfoDto.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/CachedHivePluginInfoDto.cs	(revision 3011)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/CachedHivePluginInfoDto.cs	(revision 3011)
@@ -0,0 +1,43 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.PluginInfrastructure {
+  [DataContract]
+  [Serializable]
+  public class CachedHivePluginInfoDto : HivePluginInfoDto {
+
+    private List<byte[]> pluginFiles = new List<byte[]>();
+    /// <summary>
+    /// stores the plugin files in a list of byte arrays
+    /// </summary>
+    [DataMember]
+    public List<byte[]> PluginFiles {
+      get { return pluginFiles; }
+      set { pluginFiles = value; }
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ClientConfigDto.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ClientConfigDto.cs	(revision 3011)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ClientConfigDto.cs	(revision 3011)
@@ -0,0 +1,39 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Runtime.Serialization;
+using HeuristicLab.DataAccess;
+
+namespace HeuristicLab.Hive.Contracts.BusinessObjects {
+
+  [DataContract]
+  [Serializable]
+  public class ClientConfigDto : PersistableObject {
+    [DataMember]
+    public String UpDownTimeCalendar { get; set; }
+    [DataMember]
+    public int? HeartBeatIntervall { get; set; }
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ClientDto.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ClientDto.cs	(revision 3011)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ClientDto.cs	(revision 3011)
@@ -0,0 +1,56 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Runtime.Serialization;
+                                   
+namespace HeuristicLab.Hive.Contracts.BusinessObjects {
+
+  public enum State { nullState, idle, calculating, offline, finished, abort, requestSnapshot, requestSnapshotSent, pending };
+
+  [DataContract]
+  [Serializable]
+  public class ClientDto : ResourceDto {
+    [DataMember]
+    public int NrOfCores { get; set; }
+    [DataMember]
+    public int NrOfFreeCores { get; set; }
+    [DataMember]
+    public int CpuSpeedPerCore { get; set; }
+    [DataMember]
+    public int Memory { get; set; }
+    [DataMember]
+    public int FreeMemory { get; set; }
+    [DataMember]
+    public DateTime Login { get; set; }
+    [DataMember]
+    public State State { get; set; }
+    [DataMember]
+    public ClientConfigDto Config { get; set; }
+
+    public override string ToString() {
+      return base.ToString() + ", NrOfCores: " + NrOfCores + ", NrOfFreeCores " + NrOfFreeCores + ", Login: " + Login + ", State: " + State;
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ClientGroupDto.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ClientGroupDto.cs	(revision 3011)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ClientGroupDto.cs	(revision 3011)
@@ -0,0 +1,39 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Hive.Contracts.BusinessObjects {
+
+  [DataContract]
+  public class ClientGroupDto : ResourceDto {
+    [DataMember]
+    public List<ResourceDto> Resources { get; set; }
+
+    public ClientGroupDto() {
+      Resources = new List<ResourceDto>();
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/HivePluginInfoDto.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/HivePluginInfoDto.cs	(revision 3011)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/HivePluginInfoDto.cs	(revision 3011)
@@ -0,0 +1,44 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Runtime.Serialization;
+using HeuristicLab.DataAccess;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Contracts.BusinessObjects {
+
+  [DataContract]
+  [Serializable]
+  public class HivePluginInfoDto : PersistableObject {
+    [DataMember]
+    public String Name { get; set; }
+
+    [DataMember]
+    public String Version { get; set; }
+
+    [DataMember]
+    public DateTime BuildDate { get; set; }
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/JobDto.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/JobDto.cs	(revision 3011)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/JobDto.cs	(revision 3011)
@@ -0,0 +1,72 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Runtime.Serialization;
+using HeuristicLab.DataAccess;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Contracts.BusinessObjects {
+
+  [DataContract]
+  [Serializable]
+  public class JobDto : PersistableObject {
+    [DataMember]
+    public State State { get; set; }
+    [DataMember]
+    public Guid UserId { get; set; }
+    [DataMember]
+    public ClientDto Client { get; set; }
+    [DataMember]
+    public JobDto ParentJob { get; set; }
+    [DataMember]
+    public double? Percentage { get; set; }
+    [DataMember]
+    public DateTime? DateCreated { get; set; }
+    [DataMember]
+    public DateTime? DateCalculated { get; set; }
+    [DataMember]
+    public int? Priority { get; set; }
+    [DataMember]
+    public int CoresNeeded { get; set; }
+    [DataMember]
+    public int MemoryNeeded { get; set; }
+    [DataMember]
+    public List<HivePluginInfoDto> PluginsNeeded { get; set; }
+    [DataMember]
+    public List<Guid> AssignedResourceIds { get; set; }
+    [DataMember]
+    public ProjectDto Project { get; set; }
+
+    public override string ToString() {
+      return base.ToString() + "State: " + State + ", [Ressource : " + Client + " ] , DateCreated: " + DateCreated + ", DateCalculated: " + DateCalculated +
+        "Priority: " + Priority + ", CoresNeeded: " + CoresNeeded + "AssignedResources: " + AssignedResourceIds;
+    }
+
+    public JobDto() {
+      PluginsNeeded = new List<HivePluginInfoDto>();
+      AssignedResourceIds = new List<Guid>();
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ProjectDto.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ProjectDto.cs	(revision 3011)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ProjectDto.cs	(revision 3011)
@@ -0,0 +1,38 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Runtime.Serialization;
+using HeuristicLab.DataAccess;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Contracts.BusinessObjects {
+
+  [DataContract]
+  [Serializable]
+  public class ProjectDto : PersistableObject {
+    [DataMember]
+    public String Name { get; set; }
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ResourceDto.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ResourceDto.cs	(revision 3011)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/ResourceDto.cs	(revision 3011)
@@ -0,0 +1,41 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Runtime.Serialization;
+using HeuristicLab.DataAccess;
+
+namespace HeuristicLab.Hive.Contracts.BusinessObjects {
+
+  [DataContract]
+  [Serializable]
+  public class ResourceDto : PersistableObject {
+    [DataMember]
+    public string Name { get; set; }
+
+    public override string ToString() {
+      return Id + " " + Name;
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/SerializedJob.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/SerializedJob.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/SerializedJob.cs	(revision 3011)
@@ -31,5 +31,5 @@
   public class SerializedJob {
     [DataMember]
-    public Job JobInfo { get; set; }
+    public JobDto JobInfo { get; set; }
     
     [DataMember]
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/UpTimeStatisticsDto.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/UpTimeStatisticsDto.cs	(revision 3011)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/UpTimeStatisticsDto.cs	(revision 3011)
@@ -0,0 +1,41 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Runtime.Serialization;
+using HeuristicLab.DataAccess;
+
+namespace HeuristicLab.Hive.Contracts.BusinessObjects {
+
+  [DataContract]
+  public class UpTimeStatisticsDto : PersistableObject {
+    [DataMember]
+    public ClientDto Client { get; set; }
+    [DataMember]
+    public DateTime Login { get; set; }
+    [DataMember]
+    public DateTime Logout { get; set; }
+
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/HeuristicLab.Hive.Contracts-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/HeuristicLab.Hive.Contracts-3.2.csproj	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/HeuristicLab.Hive.Contracts-3.2.csproj	(revision 3011)
@@ -87,17 +87,17 @@
   <ItemGroup>
     <Compile Include="ApplicationConstants.cs" />
-    <Compile Include="BusinessObjects\CachedHivePluginInfo.cs" />
-    <Compile Include="BusinessObjects\ClientGroup.cs" />
+    <Compile Include="BusinessObjects\CachedHivePluginInfoDto.cs" />
+    <Compile Include="BusinessObjects\ClientGroupDto.cs" />
+    <Compile Include="BusinessObjects\ResourceDto.cs" />
     <Compile Include="BusinessObjects\SerializedJob.cs" />
-    <Compile Include="BusinessObjects\Project.cs" />
-    <Compile Include="BusinessObjects\HivePluginInfo.cs" />
+    <Compile Include="BusinessObjects\ProjectDto.cs" />
+    <Compile Include="BusinessObjects\HivePluginInfoDto.cs" />
     <Compile Include="BusinessObjects\HeartBeatData.cs" />
-    <Compile Include="BusinessObjects\Job.cs" />
+    <Compile Include="BusinessObjects\JobDto.cs" />
     <Compile Include="BusinessObjects\JobResult.cs" />
-    <Compile Include="BusinessObjects\Resource.cs" />
     <Compile Include="BusinessObjects\SerializedJobResult.cs" />
-    <Compile Include="BusinessObjects\UpTimeStatistics.cs" />
-    <Compile Include="BusinessObjects\Client.cs" />
-    <Compile Include="BusinessObjects\ClientConfig.cs" />
+    <Compile Include="BusinessObjects\UpTimeStatisticsDto.cs" />
+    <Compile Include="BusinessObjects\ClientDto.cs" />
+    <Compile Include="BusinessObjects\ClientConfigDto.cs" />
     <Compile Include="ResponseSerializedJob.cs" />
     <Compile Include="MultiStream.cs" />
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/Interfaces/IClientCommunicator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/Interfaces/IClientCommunicator.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/Interfaces/IClientCommunicator.cs	(revision 3011)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,11 +35,11 @@
   public interface IClientCommunicator {
     [OperationContract]
-    Response Login(ClientInfo clientInfo);
+    Response Login(ClientDto clientInfo);
     [OperationContract]
     ResponseHB ProcessHeartBeat(HeartBeatData hbData);
     [OperationContract]
     ResponseJob SendJob(Guid clientId);
-    [OperationContract]
-    ResponseSerializedJob SendSerializedJob(Guid clientId);
+    //[OperationContract]
+    //ResponseSerializedJob SendSerializedJob(Guid clientId);
     [OperationContract]
     ResponseResultReceived StoreFinishedJobResult(Guid clientId, 
@@ -59,5 +59,5 @@
     Response IsJobStillNeeded(Guid jobId);
     [OperationContract]
-    ResponsePlugin SendPlugins(List<HivePluginInfo> pluginList);
+    ResponsePlugin SendPlugins(List<HivePluginInfoDto> pluginList);
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/Interfaces/IClientFacade.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/Interfaces/IClientFacade.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/Interfaces/IClientFacade.cs	(revision 3011)
@@ -35,5 +35,5 @@
 
     [OperationContract]
-    Stream SendStreamedPlugins(List<HivePluginInfo> pluginList);
+    Stream SendStreamedPlugins(List<HivePluginInfoDto> pluginList);
 
     [OperationContract]
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/Interfaces/IClientManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/Interfaces/IClientManager.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/Interfaces/IClientManager.cs	(revision 3011)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -34,25 +34,25 @@
   public interface IClientManager {
     [OperationContract]
-    ResponseList<ClientInfo> GetAllClients();
+    ResponseList<ClientDto> GetAllClients();
     [OperationContract]
-    [ServiceKnownType(typeof (Resource))]
-    [ServiceKnownType(typeof(ClientInfo))]
-    [ServiceKnownType(typeof(ClientGroup))]
-    ResponseList<ClientGroup> GetAllClientGroups();
+    [ServiceKnownType(typeof (ResourceDto))]
+    [ServiceKnownType(typeof(ClientDto))]
+    [ServiceKnownType(typeof(ClientGroupDto))]
+    ResponseList<ClientGroupDto> GetAllClientGroups();
     [OperationContract]
-    ResponseObject<List<ClientGroup>> GetAllGroupsOfResource(Guid resourceId);
+    ResponseObject<List<ClientGroupDto>> GetAllGroupsOfResource(Guid resourceId);
     [OperationContract]
-    ResponseObject<ClientGroup> AddClientGroup(ClientGroup clientGroup);
+    ResponseObject<ClientGroupDto> AddClientGroup(ClientGroupDto clientGroup);
     [OperationContract]
     Response DeleteClientGroup(Guid clientGroupId);
     [OperationContract]
-    [ServiceKnownType(typeof(Resource))]
-    [ServiceKnownType(typeof(ClientInfo))]
-    [ServiceKnownType(typeof(ClientGroup))]
-    Response AddResourceToGroup(Guid clientGroupId, Resource resource);
+    [ServiceKnownType(typeof(ResourceDto))]
+    [ServiceKnownType(typeof(ClientDto))]
+    [ServiceKnownType(typeof(ClientGroupDto))]
+    Response AddResourceToGroup(Guid clientGroupId, ResourceDto resource);
     [OperationContract]
     Response DeleteResourceFromGroup(Guid clientGroupId, Guid resourceId);
     [OperationContract]
-    ResponseList<UpTimeStatistics> GetAllUpTimeStatistics();
+    ResponseList<UpTimeStatisticsDto> GetAllUpTimeStatistics();
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/Interfaces/IExecutionEngineFacade.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/Interfaces/IExecutionEngineFacade.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/Interfaces/IExecutionEngineFacade.cs	(revision 3011)
@@ -31,9 +31,9 @@
   public interface IExecutionEngineFacade {
     [OperationContract]
-    ResponseObject<Job> AddJob(SerializedJob job);
+    ResponseObject<JobDto> AddJob(SerializedJob job);
     [OperationContract]
     Response RequestSnapshot(Guid jobId);
     [OperationContract]
-    ResponseObject<SerializedJobResult> GetLastSerializedResult(Guid jobId, bool requested);
+    ResponseObject<SerializedJob> GetLastSerializedResult(Guid jobId, bool requested);
     [OperationContract]
     Response AbortJob(Guid jobId);
